Use Northwind
GO


-- Ein paar nderungen
-- 'CustomerId, CompanyName, ContactName, Country, City' werden protokolliert
UPDATE dbo.Customers SET Country = 'UK' WHERE Customers.CustomerID = 'ALFKI'
UPDATE dbo.Customers SET ContactName = 'Heinz Meier' WHERE Customers.CustomerID = 'ALFKI'
INSERT INTO dbo.Customers (CustomerId, CompanyName) VALUES ('SEK2', 'Karl Donaubauer')

-- Address wird nicht protokolliert
UPDATE dbo.Customers SET Address = 'Simmerner Str. 9' WHERE Customers.CustomerID = 'ALFKI'

-- Beweise
SELECT * FROM Customers WHERE CustomerID IN ('ALFKI', 'SEK2')
GO




DECLARE @LsnVon binary(10) = sys.fn_cdc_get_min_lsn('dbo_Customers'), 	-- hole erste LSN aus der Capture-Tabelle
	@LsnBis binary(10) = sys.fn_cdc_get_max_lsn();			-- hole letzte LSN aus der Capture-Tabelle

-- Ausgabe nur mit neuen Werte
SELECT	* FROM cdc.fn_cdc_get_all_changes_dbo_Customers(@LsnVon, @LsnBis, 'all');	


-- Ausgabe mit alten und neuen Werten
SELECT	* FROM cdc.fn_cdc_get_all_changes_dbo_Customers(@LsnVon, @LsnBis, 'all update old');
GO
